curl --request GET \
--url https://api.gcore.com/billing/org/v1/accounting/operations \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/accounting/operations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/accounting/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/billing/org/v1/accounting/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/billing/org/v1/accounting/operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/billing/org/v1/accounting/operations")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/billing/org/v1/accounting/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"type_code": "<string>",
"deleted": true,
"parent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applying_at": "2023-11-07T05:31:56Z",
"details_json": "<unknown>",
"object_id": "<string>",
"object_type": "<string>"
},
"acc": "<string>",
"unit_code": "<string>",
"analytics": "<unknown>",
"debit": "<string>",
"credit": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}List Operations
Retrieve a list of Operation objects.
You can use query parameters to filter, sort, and paginate the results.
curl --request GET \
--url https://api.gcore.com/billing/org/v1/accounting/operations \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/accounting/operations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/accounting/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/billing/org/v1/accounting/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/billing/org/v1/accounting/operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/billing/org/v1/accounting/operations")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/billing/org/v1/accounting/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"type_code": "<string>",
"deleted": true,
"parent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applying_at": "2023-11-07T05:31:56Z",
"details_json": "<unknown>",
"object_id": "<string>",
"object_type": "<string>"
},
"acc": "<string>",
"unit_code": "<string>",
"analytics": "<unknown>",
"debit": "<string>",
"credit": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Authorizations
Query Parameters
Ordering of the results.
For ascending sort order use field.asc, for descending sort order use field.desc.
For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.
Final stable tiebreak ordering is added except when pk sorting used.
created_at.asc- Created atcreated_at.desc- Created at (descending)applying_at.asc- Applying atapplying_at.desc- Applying at (descending)client_id.asc- Client idclient_id.desc- Client id (descending)debit.asc- Debitdebit.desc- Debit (descending)credit.asc- Creditcredit.desc- Credit (descending)value.asc- Valuevalue.desc- Value (descending)
applying_at.asc, applying_at.desc, client_id.asc, client_id.desc, created_at.asc, created_at.desc, credit.asc, credit.desc, debit.asc, debit.desc, value.asc, value.desc Ordering of the results.
This field is left for compatibility and can be deprecated in future versions. Use order_by instead.
Default sort order is ascending. Put - before value for descending sort order: -id.
For sorting by multiple parameters write them as comma separated string: -client_id,id.
Final stable tiebreak ordering is added except when pk sorting used.
created_at- Created at-created_at- Created at (descending)applying_at- Applying at-applying_at- Applying at (descending)client_id- Client id-client_id- Client id (descending)debit- Debit-debit- Debit (descending)credit- Credit-credit- Credit (descending)value- Value-value- Value (descending)
-applying_at, -client_id, -created_at, -credit, -debit, -value, applying_at, client_id, created_at, credit, debit, value Was this page helpful?